Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Aug 2014, 04:14
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
cx8 cmov error trying to install Puppy
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
rubantin

Joined: 08 Feb 2013
Posts: 23

PostPosted: Fri 08 Feb 2013, 11:38    Post subject:  cx8 cmov error trying to install Puppy
Subject description: On an old thinclient with a VIA chip
 

I have installed puppy on several machines without a hitch... I am trying to install it on an old thinclient with a VIA chip... It had XPe on it originally...

The error i get is

cx8 cmov error... use an appropriate kernel for CPU...

Any suggestions?

Russ
Back to top
View user's profile Send private message 
tommy

Joined: 04 Oct 2005
Posts: 96
Location: Italy

PostPosted: Fri 08 Feb 2013, 12:44    Post subject:  

Recent Puppies have a kernel compiled for i686 CPUs (pentium III and later). I think that your thinclient has a VIA cpu (maybe via C3 or somewhat similar). I guess your CPU simply lacks i686 instructions (namely, cmov instructions) so you're out of luck. Download an older version of puppy down to 2.02, 2.16 or 3.01 and you will be OK. links:
puppy 2.02

puppy 2.16

puppy 3.01

Bye!
Back to top
View user's profile Send private message 
rubantin

Joined: 08 Feb 2013
Posts: 23

PostPosted: Sat 09 Feb 2013, 21:08    Post subject:  

Thanks... however, I would like to install hiawatha and it looks like 4.1? has it.

Any ideas on how I can have a puppy with hiawatha that will function on my i386 architecture?
Back to top
View user's profile Send private message 
rubantin

Joined: 08 Feb 2013
Posts: 23

PostPosted: Sun 10 Feb 2013, 15:35    Post subject:  

4.12 works!!! and it has hiawatha installed...
Back to top
View user's profile Send private message 
tommy

Joined: 04 Oct 2005
Posts: 96
Location: Italy

PostPosted: Mon 11 Feb 2013, 09:07    Post subject:  

I'm glad it works! I was wrong in thinking that puppy 4.x was compiled for i686 Embarassed ... Those requirements are for puppy Slacko and other new releases.
Bye!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0510s ][ Queries: 12 (0.0117s) ][ GZIP on ]